##
## file: arch/arm/Kconfig
##
CONFIG_ARCH_MULTIPLATFORM=y
CONFIG_ARM_ERRATA_430973=y
CONFIG_ARM_ERRATA_643719=y
CONFIG_ARM_ERRATA_754327=y
CONFIG_ARM_ERRATA_773022=y
CONFIG_SMP=y
CONFIG_SMP_ON_UP=y
CONFIG_MCPM=y
CONFIG_NR_CPUS=8
CONFIG_HIGHMEM=y
CONFIG_XEN=y
CONFIG_ARM_APPENDED_DTB=y
CONFIG_ARM_ATAG_DTB_COMPAT=y
## choice: Kernel command line type
CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_FROM_BOOTLOADER=y
# CONFIG_ARM_ATAG_DTB_COMPAT_CMDLINE_EXTEND is not set
## end choice
CONFIG_ATAGS_PROC=y
CONFIG_EFI=y
#. Enable floating point unit
CONFIG_VFP=y
CONFIG_NEON=y
CONFIG_KERNEL_MODE_NEON=y

##
## file: arch/arm/Kconfig.debug
##
#. DEBUG_LL is incompatible with multiplatform
# CONFIG_DEBUG_LL is not set

##
## file: arch/arm/Kconfig.platforms
##
# CONFIG_ARCH_MULTI_V6 is not set
CONFIG_ARCH_MULTI_V7=y
CONFIG_ARCH_VIRT=y

##
## file: arch/arm/crypto/Kconfig
##
CONFIG_CRYPTO_CURVE25519_NEON=m
CONFIG_CRYPTO_GHASH_ARM_CE=m
CONFIG_CRYPTO_NHPOLY1305_NEON=m
CONFIG_CRYPTO_BLAKE2B_NEON=m
CONFIG_CRYPTO_SHA1_ARM_NEON=m
CONFIG_CRYPTO_SHA1_ARM_CE=m
CONFIG_CRYPTO_SHA2_ARM_CE=m
CONFIG_CRYPTO_AES_ARM_BS=m
CONFIG_CRYPTO_AES_ARM_CE=m
CONFIG_CRYPTO_CHACHA20_NEON=m
CONFIG_CRYPTO_CRC32_ARM_CE=m
CONFIG_CRYPTO_CRCT10DIF_ARM_CE=m

##
## file: arch/arm/mach-aspeed/Kconfig
##
CONFIG_ARCH_ASPEED=y
CONFIG_MACH_ASPEED_G6=y

##
## file: arch/arm/mach-bcm/Kconfig
##
CONFIG_ARCH_BCM=y
CONFIG_ARCH_BCM2835=y

##
## file: arch/arm/mach-exynos/Kconfig
##
CONFIG_ARCH_EXYNOS=y
# CONFIG_ARCH_EXYNOS3 is not set
CONFIG_ARCH_EXYNOS4=y
CONFIG_ARCH_EXYNOS5=y

##
## file: arch/arm/mach-highbank/Kconfig
##
CONFIG_ARCH_HIGHBANK=y

##
## file: arch/arm/mach-imx/Kconfig
##
CONFIG_ARCH_MXC=y
CONFIG_SOC_IMX51=y
CONFIG_SOC_IMX53=y
CONFIG_SOC_IMX6Q=y
CONFIG_SOC_IMX6SL=y
CONFIG_SOC_IMX6SLL=y
CONFIG_SOC_IMX6SX=y
CONFIG_SOC_IMX6UL=y
CONFIG_SOC_IMX7D=y

##
## file: arch/arm/mach-meson/Kconfig
##
CONFIG_ARCH_MESON=y

##
## file: arch/arm/mach-mmp/Kconfig
##
CONFIG_ARCH_MMP=y
CONFIG_MACH_MMP2_DT=y
CONFIG_MACH_MMP3_DT=y

##
## file: arch/arm/mach-mvebu/Kconfig
##
CONFIG_ARCH_MVEBU=y
CONFIG_MACH_ARMADA_370=y
CONFIG_MACH_ARMADA_375=y
CONFIG_MACH_ARMADA_38X=y
CONFIG_MACH_ARMADA_39X=y
CONFIG_MACH_ARMADA_XP=y
CONFIG_MACH_DOVE=y

##
## file: arch/arm/mach-omap1/Kconfig
##
CONFIG_OMAP_MUX=y
# CONFIG_OMAP_MUX_DEBUG is not set
CONFIG_OMAP_MUX_WARNINGS=y
CONFIG_OMAP_32K_TIMER=y
# CONFIG_OMAP_MPU_TIMER is not set
CONFIG_OMAP_SERIAL_WAKE=y
CONFIG_OMAP_RESET_CLOCKS=y

##
## file: arch/arm/mach-omap2/Kconfig
##
# CONFIG_ARCH_OMAP2 is not set
CONFIG_ARCH_OMAP3=y
CONFIG_ARCH_OMAP4=y
CONFIG_SOC_OMAP5=y
CONFIG_SOC_AM33XX=y
CONFIG_SOC_DRA7XX=y
CONFIG_ARCH_OMAP2PLUS_TYPICAL=y
CONFIG_POWER_AVS_OMAP=y
CONFIG_POWER_AVS_OMAP_CLASS3=y
# CONFIG_OMAP3_L2_AUX_SECURE_SAVE_RESTORE is not set
CONFIG_SOC_OMAP3430=y
CONFIG_SOC_TI81XX=y

##
## file: arch/arm/mach-rockchip/Kconfig
##
CONFIG_ARCH_ROCKCHIP=y

##
## file: arch/arm/mach-socfpga/Kconfig
##
CONFIG_ARCH_INTEL_SOCFPGA=y

##
## file: arch/arm/mach-stm32/Kconfig
##
CONFIG_ARCH_STM32=y

##
## file: arch/arm/mach-sunxi/Kconfig
##
CONFIG_ARCH_SUNXI=y

##
## file: arch/arm/mach-tegra/Kconfig
##
CONFIG_ARCH_TEGRA=y

##
## file: arch/arm/mach-versatile/Kconfig
##
CONFIG_ARCH_VEXPRESS=y
CONFIG_ARCH_VEXPRESS_CORTEX_A5_A9_ERRATA=y

##
## file: arch/arm/mach-vt8500/Kconfig
##
CONFIG_ARCH_WM8850=y

##
## file: arch/arm/mm/Kconfig
##
CONFIG_ARM_THUMBEE=y
CONFIG_CACHE_TAUROS2=y

##
## file: drivers/android/Kconfig
##
CONFIG_ANDROID_BINDER_IPC=m

##
## file: drivers/ata/Kconfig
##
CONFIG_SATA_AHCI_PLATFORM=m
CONFIG_AHCI_DWC=m
CONFIG_AHCI_IMX=m
CONFIG_AHCI_MVEBU=m
CONFIG_AHCI_SUNXI=m
CONFIG_AHCI_TEGRA=m
CONFIG_SATA_HIGHBANK=m
CONFIG_PATA_IMX=m
CONFIG_PATA_PLATFORM=m
CONFIG_PATA_OF_PLATFORM=m

##
## file: drivers/auxdisplay/Kconfig
##
CONFIG_ARM_CHARLCD=y

##
## file: drivers/bluetooth/Kconfig
##
CONFIG_BT_HCIUART=m

##
## file: drivers/bus/Kconfig
##
CONFIG_OMAP_INTERCONNECT=m
CONFIG_OMAP_OCP2SCP=m

##
## file: drivers/char/hw_random/Kconfig
##
CONFIG_HW_RANDOM_BCM2835=m
CONFIG_HW_RANDOM_OMAP=m
CONFIG_HW_RANDOM_OMAP3_ROM=m
CONFIG_HW_RANDOM_IMX_RNGC=m
CONFIG_HW_RANDOM_STM32=m
CONFIG_HW_RANDOM_MESON=m
CONFIG_HW_RANDOM_EXYNOS=m
CONFIG_HW_RANDOM_ARM_SMCCC_TRNG=m

##
## file: drivers/char/ipmi/Kconfig
##
CONFIG_ASPEED_KCS_IPMI_BMC=m
CONFIG_ASPEED_BT_IPMI_BMC=m

##
## file: drivers/clk/Kconfig
##
CONFIG_COMMON_CLK_MAX77686=m
CONFIG_COMMON_CLK_RK808=m
CONFIG_COMMON_CLK_SI5351=m
CONFIG_COMMON_CLK_ASPEED=y
CONFIG_COMMON_CLK_S2MPS11=m
CONFIG_CLK_TWL6040=m
CONFIG_COMMON_CLK_MMP2_AUDIO=m

##
## file: drivers/clk/bcm/Kconfig
##
CONFIG_CLK_RASPBERRYPI=y

##
## file: drivers/clk/sunxi-ng/Kconfig
##
CONFIG_SUNXI_CCU=y
CONFIG_SUN8I_DE2_CCU=y

##
## file: drivers/cpufreq/Kconfig
##
## choice: Default CPUFreq governor
# CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE is not set
CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL=y
## end choice
CONFIG_CPUFREQ_DT=m
CONFIG_CPUFREQ_DT_PLATDEV=y

##
## file: drivers/cpufreq/Kconfig.arm
##
CONFIG_ARM_IMX6Q_CPUFREQ=m
CONFIG_ARM_IMX_CPUFREQ_DT=m
CONFIG_ARM_RASPBERRYPI_CPUFREQ=m
CONFIG_ARM_TEGRA20_CPUFREQ=y

##
## file: drivers/cpuidle/Kconfig.arm
##
CONFIG_ARM_EXYNOS_CPUIDLE=y

##
## file: drivers/crypto/Kconfig
##
CONFIG_CRYPTO_DEV_OMAP=m
CONFIG_CRYPTO_DEV_OMAP_SHAM=m
CONFIG_CRYPTO_DEV_OMAP_AES=m
CONFIG_CRYPTO_DEV_ROCKCHIP=m

##
## file: drivers/crypto/allwinner/Kconfig
##
CONFIG_CRYPTO_DEV_SUN4I_SS=m

##
## file: drivers/crypto/caam/Kconfig
##
CONFIG_CRYPTO_DEV_FSL_CAAM=m

##
## file: drivers/crypto/marvell/Kconfig
##
CONFIG_CRYPTO_DEV_MARVELL_CESA=m

##
## file: drivers/crypto/stm32/Kconfig
##
CONFIG_CRYPTO_DEV_STM32_CRC=m
CONFIG_CRYPTO_DEV_STM32_HASH=m
CONFIG_CRYPTO_DEV_STM32_CRYP=m

##
## file: drivers/devfreq/Kconfig
##
CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND=y
CONFIG_ARM_TEGRA_DEVFREQ=m

##
## file: drivers/dma/Kconfig
##
CONFIG_DMADEVICES=y
CONFIG_AMBA_PL08X=y
CONFIG_DMA_BCM2835=y
CONFIG_DMA_SUN6I=m
CONFIG_IMX_DMA=y
CONFIG_IMX_SDMA=y
CONFIG_MV_XOR=y
CONFIG_MXS_DMA=y
CONFIG_PL330_DMA=y
CONFIG_TEGRA20_APB_DMA=y

##
## file: drivers/dma/stm32/Kconfig
##
CONFIG_STM32_DMA=y
CONFIG_STM32_DMAMUX=y
CONFIG_STM32_MDMA=y

##
## file: drivers/dma/ti/Kconfig
##
CONFIG_TI_CPPI41=m
CONFIG_TI_EDMA=y
CONFIG_DMA_OMAP=y

##
## file: drivers/extcon/Kconfig
##
CONFIG_EXTCON=m
CONFIG_EXTCON_AXP288=m
CONFIG_EXTCON_PALMAS=m
CONFIG_EXTCON_USB_GPIO=m

##
## file: drivers/firmware/Kconfig
##
CONFIG_RASPBERRYPI_FIRMWARE=y

##
## file: drivers/firmware/google/Kconfig
##
CONFIG_GOOGLE_COREBOOT_TABLE=y
CONFIG_GOOGLE_FRAMEBUFFER_COREBOOT=y

##
## file: drivers/fsi/Kconfig
##
CONFIG_FSI=m
# CONFIG_FSI_NEW_DEV_NODE is not set
CONFIG_FSI_MASTER_GPIO=m
CONFIG_FSI_MASTER_HUB=m
CONFIG_FSI_MASTER_ASPEED=m
CONFIG_FSI_SCOM=m
CONFIG_FSI_SBEFIFO=m
CONFIG_FSI_OCC=m

##
## file: drivers/gpio/Kconfig
##
CONFIG_GPIOLIB=y
CONFIG_GPIO_ALTERA=m
CONFIG_GPIO_ASPEED=m
CONFIG_GPIO_DWAPB=m
CONFIG_GPIO_GENERIC_PLATFORM=m
CONFIG_GPIO_MXC=m
CONFIG_GPIO_PCA953X=m
CONFIG_GPIO_PCA953X_IRQ=y
CONFIG_GPIO_PCF857X=m
CONFIG_GPIO_DA9052=m
CONFIG_GPIO_PALMAS=y
CONFIG_GPIO_TWL4030=y
CONFIG_GPIO_TWL6040=y

##
## file: drivers/gpu/drm/Kconfig
##
CONFIG_DRM=m

##
## file: drivers/gpu/drm/armada/Kconfig
##
CONFIG_DRM_ARMADA=m

##
## file: drivers/gpu/drm/aspeed/Kconfig
##
CONFIG_DRM_ASPEED_GFX=m

##
## file: drivers/gpu/drm/bridge/Kconfig
##
CONFIG_DRM_DISPLAY_CONNECTOR=m
CONFIG_DRM_SII902X=m
CONFIG_DRM_TI_TPD12S015=m

##
## file: drivers/gpu/drm/bridge/synopsys/Kconfig
##
CONFIG_DRM_DW_HDMI_AHB_AUDIO=m
CONFIG_DRM_DW_HDMI_I2S_AUDIO=m
CONFIG_DRM_DW_HDMI_CEC=m

##
## file: drivers/gpu/drm/etnaviv/Kconfig
##
CONFIG_DRM_ETNAVIV=m

##
## file: drivers/gpu/drm/exynos/Kconfig
##
CONFIG_DRM_EXYNOS=m
CONFIG_DRM_EXYNOS_FIMD=y
CONFIG_DRM_EXYNOS_MIXER=y
CONFIG_DRM_EXYNOS_DSI=y
CONFIG_DRM_EXYNOS_DP=y
CONFIG_DRM_EXYNOS_HDMI=y

##
## file: drivers/gpu/drm/i2c/Kconfig
##
CONFIG_DRM_I2C_NXP_TDA998X=m

##
## file: drivers/gpu/drm/imx/ipuv3/Kconfig
##
CONFIG_DRM_IMX=m
CONFIG_DRM_IMX_PARALLEL_DISPLAY=m
CONFIG_DRM_IMX_LDB=m
CONFIG_DRM_IMX_HDMI=m

##
## file: drivers/gpu/drm/lima/Kconfig
##
CONFIG_DRM_LIMA=m

##
## file: drivers/gpu/drm/nouveau/Kconfig
##
CONFIG_NOUVEAU_PLATFORM_DRIVER=y

##
## file: drivers/gpu/drm/omapdrm/Kconfig
##
CONFIG_DRM_OMAP=m
CONFIG_OMAP2_DSS_VENC=y
CONFIG_OMAP4_DSS_HDMI=y
CONFIG_OMAP5_DSS_HDMI=y
CONFIG_OMAP2_DSS_SDI=y
CONFIG_OMAP2_DSS_DSI=y

##
## file: drivers/gpu/drm/panel/Kconfig
##
CONFIG_DRM_PANEL_FEIYANG_FY07024DI26A30D=m
CONFIG_DRM_PANEL_ORISETECH_OTM8009A=m
CONFIG_DRM_PANEL_RASPBERRYPI_TOUCHSCREEN=m
CONFIG_DRM_PANEL_SONY_ACX565AKM=m
CONFIG_DRM_PANEL_EDP=m
CONFIG_DRM_PANEL_SIMPLE=m
CONFIG_DRM_PANEL_TPO_TD028TTEC1=m
CONFIG_DRM_PANEL_TPO_TD043MTEA1=m

##
## file: drivers/gpu/drm/panfrost/Kconfig
##
CONFIG_DRM_PANFROST=m

##
## file: drivers/gpu/drm/rockchip/Kconfig
##
CONFIG_DRM_ROCKCHIP=m
CONFIG_ROCKCHIP_ANALOGIX_DP=y
CONFIG_ROCKCHIP_DW_HDMI=y
CONFIG_ROCKCHIP_DW_MIPI_DSI=y
CONFIG_ROCKCHIP_LVDS=y

##
## file: drivers/gpu/drm/stm/Kconfig
##
CONFIG_DRM_STM=m
CONFIG_DRM_STM_DSI=m

##
## file: drivers/gpu/drm/sun4i/Kconfig
##
CONFIG_DRM_SUN4I=m
CONFIG_DRM_SUN4I_HDMI=m
CONFIG_DRM_SUN4I_HDMI_CEC=y
CONFIG_DRM_SUN4I_BACKEND=m
CONFIG_DRM_SUN8I_DW_HDMI=m
CONFIG_DRM_SUN8I_MIXER=m

##
## file: drivers/gpu/drm/tegra/Kconfig
##
CONFIG_DRM_TEGRA=m
# CONFIG_DRM_TEGRA_DEBUG is not set
CONFIG_DRM_TEGRA_STAGING=y

##
## file: drivers/gpu/drm/tilcdc/Kconfig
##
CONFIG_DRM_TILCDC=m

##
## file: drivers/gpu/drm/tiny/Kconfig
##
CONFIG_DRM_PANEL_MIPI_DBI=m

##
## file: drivers/gpu/host1x/Kconfig
##
CONFIG_TEGRA_HOST1X=m
CONFIG_TEGRA_HOST1X_FIREWALL=y

##
## file: drivers/gpu/ipu-v3/Kconfig
##
CONFIG_IMX_IPUV3_CORE=m

##
## file: drivers/hsi/Kconfig
##
CONFIG_HSI=m

##
## file: drivers/hsi/clients/Kconfig
##
CONFIG_NOKIA_MODEM=m
CONFIG_CMT_SPEECH=m
CONFIG_SSI_PROTOCOL=m

##
## file: drivers/hsi/controllers/Kconfig
##
CONFIG_OMAP_SSI=m

##
## file: drivers/hwmon/Kconfig
##
CONFIG_SENSORS_ASPEED=m
CONFIG_SENSORS_G762=m
CONFIG_SENSORS_GPIO_FAN=m
CONFIG_SENSORS_LM75=m
CONFIG_SENSORS_LM90=m
CONFIG_SENSORS_PWM_FAN=m

##
## file: drivers/hwmon/occ/Kconfig
##
CONFIG_SENSORS_OCC_P9_SBE=m

##
## file: drivers/hwmon/pmbus/Kconfig
##
CONFIG_PMBUS=m
CONFIG_SENSORS_PMBUS=m
CONFIG_SENSORS_IBM_CFFPS=m
CONFIG_SENSORS_MAX31785=m

##
## file: drivers/hwspinlock/Kconfig
##
CONFIG_HWSPINLOCK=y
CONFIG_HWSPINLOCK_OMAP=m

##
## file: drivers/hwtracing/coresight/Kconfig
##
CONFIG_CORESIGHT=m
CONFIG_CORESIGHT_LINKS_AND_SINKS=m
CONFIG_CORESIGHT_LINK_AND_SINK_TMC=m
CONFIG_CORESIGHT_CATU=m
CONFIG_CORESIGHT_SINK_TPIU=m
CONFIG_CORESIGHT_SINK_ETBV10=m
CONFIG_CORESIGHT_SOURCE_ETM3X=m
CONFIG_CORESIGHT_STM=m
CONFIG_CORESIGHT_CPU_DEBUG=m
CONFIG_CORESIGHT_CTI=m

##
## file: drivers/i2c/Kconfig
##
CONFIG_I2C_MUX=m

##
## file: drivers/i2c/busses/Kconfig
##
CONFIG_I2C_ASPEED=m
CONFIG_I2C_BCM2835=m
CONFIG_I2C_DESIGNWARE_PLATFORM=m
CONFIG_I2C_EXYNOS5=m
CONFIG_I2C_GPIO=y
CONFIG_I2C_IMX=m
CONFIG_I2C_MESON=m
CONFIG_I2C_MV64XXX=m
CONFIG_I2C_OMAP=y
CONFIG_I2C_PXA=m
CONFIG_I2C_RK3X=m
CONFIG_I2C_S3C2410=y
CONFIG_I2C_STM32F7=m
CONFIG_I2C_SUN6I_P2WI=m
CONFIG_I2C_TEGRA=y
CONFIG_I2C_VERSATILE=m
CONFIG_I2C_CROS_EC_TUNNEL=m
CONFIG_I2C_FSI=m

##
## file: drivers/i2c/muxes/Kconfig
##
CONFIG_I2C_ARB_GPIO_CHALLENGE=m
CONFIG_I2C_MUX_PCA954x=m
CONFIG_I2C_MUX_PINCTRL=m

##
## file: drivers/iio/Kconfig
##
CONFIG_IIO=m

##
## file: drivers/iio/adc/Kconfig
##
CONFIG_ASPEED_ADC=m
CONFIG_EXYNOS_ADC=m
CONFIG_IMX7D_ADC=m
CONFIG_ROCKCHIP_SARADC=m
CONFIG_TI_AM335X_ADC=m
CONFIG_TWL4030_MADC=m

##
## file: drivers/input/keyboard/Kconfig
##
CONFIG_KEYBOARD_GPIO=y
CONFIG_KEYBOARD_TCA8418=m
CONFIG_KEYBOARD_IMX=m
CONFIG_KEYBOARD_TEGRA=m
CONFIG_KEYBOARD_SUN4I_LRADC=m
CONFIG_KEYBOARD_OMAP4=m
CONFIG_KEYBOARD_TWL4030=m
CONFIG_KEYBOARD_CROS_EC=m

##
## file: drivers/input/misc/Kconfig
##
CONFIG_INPUT_MMA8450=m
CONFIG_INPUT_TPS65218_PWRBUTTON=m
CONFIG_INPUT_AXP20X_PEK=m
CONFIG_INPUT_TWL4030_PWRBUTTON=m
CONFIG_INPUT_TWL4030_VIBRA=m
CONFIG_INPUT_TWL6040_VIBRA=m
CONFIG_INPUT_RK805_PWRKEY=m
CONFIG_INPUT_ADXL34X=m
CONFIG_INPUT_STPMIC1_ONKEY=m

##
## file: drivers/input/mouse/Kconfig
##
CONFIG_MOUSE_PS2_LOGIPS2PP=y
CONFIG_MOUSE_PS2_SYNAPTICS=y
CONFIG_MOUSE_PS2_TRACKPOINT=y
CONFIG_MOUSE_ELAN_I2C=m

##
## file: drivers/input/serio/Kconfig
##
CONFIG_SERIO_AMBAKMI=m
CONFIG_SERIO_OLPC_APSP=m
CONFIG_SERIO_SUN4I_PS2=m

##
## file: drivers/input/touchscreen/Kconfig
##
CONFIG_INPUT_TOUCHSCREEN=y
CONFIG_TOUCHSCREEN_EDT_FT5X06=m
CONFIG_TOUCHSCREEN_TI_AM335X_TSC=m
CONFIG_TOUCHSCREEN_TSC2005=m
CONFIG_TOUCHSCREEN_STMPE=m
CONFIG_TOUCHSCREEN_SUN4I=m

##
## file: drivers/iommu/Kconfig
##
CONFIG_OMAP_IOMMU=y
# CONFIG_OMAP_IOMMU_DEBUG is not set
CONFIG_ROCKCHIP_IOMMU=y
CONFIG_TEGRA_IOMMU_SMMU=y

##
## file: drivers/leds/Kconfig
##
CONFIG_LEDS_CLASS=y
CONFIG_LEDS_ARIEL=m
CONFIG_LEDS_LP5523=m
CONFIG_LEDS_PCA963X=m
CONFIG_LEDS_DA9052=m
CONFIG_LEDS_PWM=m
CONFIG_LEDS_TCA6507=m

##
## file: drivers/leds/trigger/Kconfig
##
CONFIG_LEDS_TRIGGER_GPIO=m

##
## file: drivers/mailbox/Kconfig
##
CONFIG_MAILBOX=y
CONFIG_OMAP2PLUS_MBOX=y
CONFIG_ROCKCHIP_MBOX=y
CONFIG_BCM2835_MBOX=y
CONFIG_STM32_IPCC=m

##
## file: drivers/media/Kconfig
##
CONFIG_MEDIA_CONTROLLER=y

##
## file: drivers/media/cec/platform/Kconfig
##
CONFIG_CEC_STM32=m
CONFIG_CEC_TEGRA=m

##
## file: drivers/media/platform/Kconfig
##
CONFIG_VIDEO_MUX=m

##
## file: drivers/media/platform/aspeed/Kconfig
##
CONFIG_VIDEO_ASPEED=m

##
## file: drivers/media/platform/chips-media/coda/Kconfig
##
CONFIG_VIDEO_CODA=m

##
## file: drivers/media/platform/marvell/Kconfig
##
CONFIG_VIDEO_MMP_CAMERA=m

##
## file: drivers/media/platform/nxp/Kconfig
##
CONFIG_VIDEO_IMX_PXP=m

##
## file: drivers/media/platform/rockchip/rga/Kconfig
##
CONFIG_VIDEO_ROCKCHIP_RGA=m

##
## file: drivers/media/platform/ti/Kconfig
##
CONFIG_VIDEO_TI_VPE=m

##
## file: drivers/media/platform/ti/omap/Kconfig
##
CONFIG_VIDEO_OMAP2_VOUT=m

##
## file: drivers/media/platform/ti/omap3isp/Kconfig
##
CONFIG_VIDEO_OMAP3=m

##
## file: drivers/media/platform/verisilicon/Kconfig
##
CONFIG_VIDEO_HANTRO=m

##
## file: drivers/media/radio/Kconfig
##
CONFIG_RADIO_ADAPTERS=y
CONFIG_RADIO_SI4713=m

##
## file: drivers/media/radio/si4713/Kconfig
##
CONFIG_I2C_SI4713=m

##
## file: drivers/media/radio/wl128x/Kconfig
##
CONFIG_RADIO_WL128X=m

##
## file: drivers/media/rc/Kconfig
##
CONFIG_IR_GPIO_CIR=m
CONFIG_IR_SUNXI=m

##
## file: drivers/memory/Kconfig
##
CONFIG_TI_EMIF=m

##
## file: drivers/memory/tegra/Kconfig
##
CONFIG_TEGRA_MC=y
CONFIG_TEGRA124_EMC=y

##
## file: drivers/mfd/Kconfig
##
CONFIG_MFD_AS3722=y
CONFIG_MFD_AC100=y
CONFIG_MFD_AXP20X_I2C=y
CONFIG_MFD_AXP20X_RSB=y
# CONFIG_MFD_CROS_EC_DEV is not set
CONFIG_MFD_DA9052_SPI=y
CONFIG_MFD_DA9052_I2C=y
CONFIG_MFD_ENE_KB3930=m
CONFIG_MFD_MC13XXX_SPI=m
CONFIG_MFD_MC13XXX_I2C=m
CONFIG_MFD_MAX77686=y
CONFIG_MFD_RK8XX_I2C=y
CONFIG_MFD_RN5T618=m
CONFIG_MFD_SEC_CORE=y
CONFIG_MFD_STMPE=y
CONFIG_MFD_TI_AM335X_TSCADC=m
CONFIG_MFD_PALMAS=y
CONFIG_MFD_TPS65217=m
CONFIG_TWL4030_CORE=y
CONFIG_TWL6040_CORE=y
CONFIG_MFD_STM32_LPTIMER=m
CONFIG_MFD_STPMIC1=m

##
## file: drivers/misc/ti-st/Kconfig
##
CONFIG_TI_ST=m

##
## file: drivers/mmc/Kconfig
##
CONFIG_MMC=y

##
## file: drivers/mmc/core/Kconfig
##
CONFIG_PWRSEQ_SD8787=m

##
## file: drivers/mmc/host/Kconfig
##
CONFIG_MMC_ARMMMCI=m
CONFIG_MMC_SDHCI=m
CONFIG_MMC_SDHCI_PLTFM=m
CONFIG_MMC_SDHCI_OF_ASPEED=m
CONFIG_MMC_SDHCI_ESDHC_IMX=m
CONFIG_MMC_SDHCI_DOVE=m
CONFIG_MMC_SDHCI_TEGRA=m
CONFIG_MMC_SDHCI_S3C=m
CONFIG_MMC_SDHCI_PXAV3=m
CONFIG_MMC_SDHCI_IPROC=m
CONFIG_MMC_MESON_MX_SDIO=m
CONFIG_MMC_OMAP=m
CONFIG_MMC_OMAP_HS=m
CONFIG_MMC_MVSDIO=m
CONFIG_MMC_SPI=m
CONFIG_MMC_DW=m
CONFIG_MMC_DW_EXYNOS=m
CONFIG_MMC_DW_ROCKCHIP=m
CONFIG_MMC_WMT=m
CONFIG_MMC_SUNXI=m
CONFIG_MMC_BCM2835=m
CONFIG_MMC_SDHCI_OMAP=m

##
## file: drivers/mtd/Kconfig
##
CONFIG_MTD=y

##
## file: drivers/mtd/nand/onenand/Kconfig
##
CONFIG_MTD_ONENAND=y
CONFIG_MTD_ONENAND_OMAP2=m

##
## file: drivers/mtd/nand/raw/Kconfig
##
CONFIG_MTD_RAW_NAND=y
CONFIG_MTD_NAND_OMAP2=m
CONFIG_MTD_NAND_ORION=m
CONFIG_MTD_NAND_MARVELL=m
CONFIG_MTD_NAND_GPMI_NAND=m
CONFIG_MTD_NAND_MXC=m
CONFIG_MTD_NAND_SUNXI=m
CONFIG_MTD_NAND_STM32_FMC2=m

##
## file: drivers/mux/Kconfig
##
CONFIG_MUX_MMIO=m

##
## file: drivers/net/can/Kconfig
##
CONFIG_CAN_FLEXCAN=m
CONFIG_CAN_SUN4I=m

##
## file: drivers/net/can/c_can/Kconfig
##
CONFIG_CAN_C_CAN=m
CONFIG_CAN_C_CAN_PLATFORM=m

##
## file: drivers/net/dsa/Kconfig
##
CONFIG_NET_DSA_BCM_SF2=m
CONFIG_NET_DSA_MV88E6060=m

##
## file: drivers/net/dsa/b53/Kconfig
##
CONFIG_B53=m
CONFIG_B53_MDIO_DRIVER=m

##
## file: drivers/net/dsa/mv88e6xxx/Kconfig
##
CONFIG_NET_DSA_MV88E6XXX=m

##
## file: drivers/net/ethernet/3com/Kconfig
##
CONFIG_NET_VENDOR_3COM=y
CONFIG_TYPHOON=m

##
## file: drivers/net/ethernet/8390/Kconfig
##
CONFIG_NET_VENDOR_8390=y
CONFIG_NE2K_PCI=m

##
## file: drivers/net/ethernet/adaptec/Kconfig
##
CONFIG_NET_VENDOR_ADAPTEC=y
CONFIG_ADAPTEC_STARFIRE=m

##
## file: drivers/net/ethernet/allwinner/Kconfig
##
CONFIG_SUN4I_EMAC=m

##
## file: drivers/net/ethernet/arc/Kconfig
##
CONFIG_EMAC_ROCKCHIP=m

##
## file: drivers/net/ethernet/calxeda/Kconfig
##
CONFIG_NET_CALXEDA_XGMAC=m

##
## file: drivers/net/ethernet/dec/tulip/Kconfig
##
CONFIG_NET_TULIP=y
CONFIG_DE2104X=m
CONFIG_TULIP=m
# CONFIG_TULIP_MWI is not set
# CONFIG_TULIP_MMIO is not set
CONFIG_WINBOND_840=m
CONFIG_DM9102=m

##
## file: drivers/net/ethernet/dlink/Kconfig
##
CONFIG_NET_VENDOR_DLINK=y
CONFIG_SUNDANCE=m
# CONFIG_SUNDANCE_MMIO is not set

##
## file: drivers/net/ethernet/faraday/Kconfig
##
CONFIG_FTGMAC100=m

##
## file: drivers/net/ethernet/freescale/Kconfig
##
CONFIG_FEC=m

##
## file: drivers/net/ethernet/intel/Kconfig
##
CONFIG_NET_VENDOR_INTEL=y
CONFIG_E100=m

##
## file: drivers/net/ethernet/marvell/Kconfig
##
CONFIG_MV643XX_ETH=m
CONFIG_MVMDIO=m
CONFIG_MVNETA=m
CONFIG_MVPP2=m

##
## file: drivers/net/ethernet/microchip/Kconfig
##
CONFIG_ENC28J60=m
# CONFIG_ENC28J60_WRITEVERIFY is not set

##
## file: drivers/net/ethernet/natsemi/Kconfig
##
CONFIG_NET_VENDOR_NATSEMI=y
CONFIG_NATSEMI=m

##
## file: drivers/net/ethernet/realtek/Kconfig
##
CONFIG_8139CP=m
CONFIG_8139TOO=m

##
## file: drivers/net/ethernet/smsc/Kconfig
##
CONFIG_NET_VENDOR_SMSC=y
CONFIG_SMC91X=m
CONFIG_EPIC100=m
CONFIG_SMSC911X=m

##
## file: drivers/net/ethernet/stmicro/stmmac/Kconfig
##
CONFIG_STMMAC_ETH=m
CONFIG_DWMAC_GENERIC=m
CONFIG_DWMAC_ROCKCHIP=m
CONFIG_DWMAC_SOCFPGA=m
CONFIG_DWMAC_SUNXI=m

##
## file: drivers/net/ethernet/ti/Kconfig
##
CONFIG_TI_DAVINCI_EMAC=m
CONFIG_TI_DAVINCI_MDIO=m
CONFIG_TI_CPSW=m
CONFIG_TI_CPSW_SWITCHDEV=m
CONFIG_TI_CPTS=y

##
## file: drivers/net/fddi/Kconfig
##
CONFIG_FDDI=y
CONFIG_SKFP=m

##
## file: drivers/net/mdio/Kconfig
##
CONFIG_MDIO_SUN4I=y
CONFIG_MDIO_ASPEED=m

##
## file: drivers/net/phy/Kconfig
##
CONFIG_ADIN_PHY=m

##
## file: drivers/net/wireless/broadcom/brcm80211/brcmfmac/Kconfig
##
CONFIG_BRCMFMAC=m
CONFIG_BRCMFMAC_SDIO=y

##
## file: drivers/net/wireless/marvell/mwifiex/Kconfig
##
CONFIG_MWIFIEX=m
CONFIG_MWIFIEX_SDIO=m

##
## file: drivers/net/wireless/ti/Kconfig
##
CONFIG_WLAN_VENDOR_TI=y

##
## file: drivers/net/wireless/ti/wl1251/Kconfig
##
CONFIG_WL1251=m
CONFIG_WL1251_SPI=m
CONFIG_WL1251_SDIO=m

##
## file: drivers/net/wireless/ti/wl12xx/Kconfig
##
CONFIG_WL12XX=m

##
## file: drivers/net/wireless/ti/wl18xx/Kconfig
##
CONFIG_WL18XX=m

##
## file: drivers/net/wireless/ti/wlcore/Kconfig
##
CONFIG_WLCORE_SPI=m
CONFIG_WLCORE_SDIO=m

##
## file: drivers/nvmem/Kconfig
##
CONFIG_NVMEM_IMX_OCOTP=m
CONFIG_NVMEM_MESON_MX_EFUSE=m
CONFIG_NVMEM_RMEM=m
CONFIG_NVMEM_ROCKCHIP_EFUSE=m
CONFIG_NVMEM_SUNXI_SID=m

##
## file: drivers/pci/Kconfig
##
CONFIG_PCI=y

##
## file: drivers/pci/controller/Kconfig
##
CONFIG_PCI_HOST_GENERIC=y
CONFIG_PCI_MVEBU=y
CONFIG_PCI_TEGRA=y

##
## file: drivers/pci/controller/dwc/Kconfig
##
CONFIG_PCI_IMX6_HOST=y
CONFIG_PCI_IMX6_EP=y
CONFIG_PCI_DRA7XX_HOST=y

##
## file: drivers/phy/allwinner/Kconfig
##
CONFIG_PHY_SUN4I_USB=m
CONFIG_PHY_SUN9I_USB=m

##
## file: drivers/phy/marvell/Kconfig
##
CONFIG_PHY_MVEBU_A38X_COMPHY=m
CONFIG_PHY_PXA_USB=m
CONFIG_PHY_MMP3_USB=m

##
## file: drivers/phy/rockchip/Kconfig
##
CONFIG_PHY_ROCKCHIP_DP=m
CONFIG_PHY_ROCKCHIP_EMMC=m
CONFIG_PHY_ROCKCHIP_INNO_HDMI=m
CONFIG_PHY_ROCKCHIP_USB=m

##
## file: drivers/phy/samsung/Kconfig
##
CONFIG_PHY_EXYNOS_DP_VIDEO=m
CONFIG_PHY_EXYNOS_MIPI_VIDEO=m
CONFIG_PHY_SAMSUNG_USB2=m
CONFIG_PHY_EXYNOS5_USBDRD=m
CONFIG_PHY_EXYNOS5250_SATA=m

##
## file: drivers/phy/st/Kconfig
##
CONFIG_PHY_STM32_USBPHYC=m

##
## file: drivers/phy/tegra/Kconfig
##
CONFIG_PHY_TEGRA_XUSB=m

##
## file: drivers/phy/ti/Kconfig
##
CONFIG_OMAP_CONTROL_PHY=m
CONFIG_OMAP_USB2=m
CONFIG_TI_PIPE3=y
CONFIG_TWL4030_USB=m

##
## file: drivers/pinctrl/Kconfig
##
CONFIG_PINCTRL_AS3722=y
CONFIG_PINCTRL_AXP209=m
CONFIG_PINCTRL_MCP23S08=m
CONFIG_PINCTRL_PALMAS=y
CONFIG_PINCTRL_RK805=y
CONFIG_PINCTRL_SINGLE=y

##
## file: drivers/pinctrl/aspeed/Kconfig
##
CONFIG_PINCTRL_ASPEED_G6=y

##
## file: drivers/pinctrl/vt8500/Kconfig
##
CONFIG_PINCTRL_WM8850=y

##
## file: drivers/platform/chrome/Kconfig
##
CONFIG_CHROME_PLATFORMS=y
CONFIG_CROS_EC=m
CONFIG_CROS_EC_SPI=m

##
## file: drivers/platform/olpc/Kconfig
##
CONFIG_OLPC_XO175=y
CONFIG_OLPC_XO175_EC=m

##
## file: drivers/pmdomain/bcm/Kconfig
##
CONFIG_RASPBERRYPI_POWER=y

##
## file: drivers/pmdomain/rockchip/Kconfig
##
CONFIG_ROCKCHIP_PM_DOMAINS=y

##
## file: drivers/power/reset/Kconfig
##
CONFIG_POWER_RESET=y
CONFIG_POWER_RESET_AS3722=y
CONFIG_POWER_RESET_GPIO=y
CONFIG_POWER_RESET_GPIO_RESTART=y
CONFIG_POWER_RESET_RESTART=y
CONFIG_POWER_RESET_SYSCON=y
CONFIG_POWER_RESET_SYSCON_POWEROFF=y
CONFIG_SYSCON_REBOOT_MODE=m

##
## file: drivers/power/supply/Kconfig
##
CONFIG_BATTERY_OLPC=m
CONFIG_BATTERY_SBS=m
CONFIG_BATTERY_BQ27XXX=m
CONFIG_CHARGER_AXP20X=m
CONFIG_BATTERY_AXP20X=m
CONFIG_AXP20X_POWER=m
CONFIG_AXP288_CHARGER=m
CONFIG_AXP288_FUEL_GAUGE=m
CONFIG_BATTERY_TWL4030_MADC=m
CONFIG_BATTERY_RX51=m
CONFIG_CHARGER_ISP1704=m
CONFIG_CHARGER_TWL4030=m
CONFIG_CHARGER_GPIO=m
CONFIG_CHARGER_BQ2415X=m
CONFIG_CHARGER_BQ24735=m

##
## file: drivers/pps/clients/Kconfig
##
CONFIG_PPS_CLIENT_GPIO=m

##
## file: drivers/pwm/Kconfig
##
CONFIG_PWM=y
CONFIG_PWM_BCM2835=m
CONFIG_PWM_IMX27=m
CONFIG_PWM_MESON=m
CONFIG_PWM_OMAP_DMTIMER=m
CONFIG_PWM_ROCKCHIP=m
CONFIG_PWM_SAMSUNG=m
CONFIG_PWM_STM32_LP=m
CONFIG_PWM_SUN4I=m
CONFIG_PWM_TEGRA=m
CONFIG_PWM_TIECAP=m
CONFIG_PWM_TIEHRPWM=m
CONFIG_PWM_TWL=m
CONFIG_PWM_TWL_LED=m
CONFIG_PWM_VT8500=m

##
## file: drivers/regulator/Kconfig
##
CONFIG_REGULATOR=y
CONFIG_REGULATOR_ACT8865=m
CONFIG_REGULATOR_ANATOP=m
CONFIG_REGULATOR_AS3722=y
CONFIG_REGULATOR_AXP20X=m
CONFIG_REGULATOR_DA9052=m
CONFIG_REGULATOR_FAN53555=m
CONFIG_REGULATOR_GPIO=m
CONFIG_REGULATOR_MAX77686=m
CONFIG_REGULATOR_MC13783=m
CONFIG_REGULATOR_MC13892=m
CONFIG_REGULATOR_PALMAS=y
CONFIG_REGULATOR_PBIAS=m
CONFIG_REGULATOR_PFUZE100=m
CONFIG_REGULATOR_RK808=m
CONFIG_REGULATOR_RN5T618=m
CONFIG_REGULATOR_S2MPA01=m
CONFIG_REGULATOR_S2MPS11=m
CONFIG_REGULATOR_S5M8767=m
CONFIG_REGULATOR_STM32_BOOSTER=m
CONFIG_REGULATOR_STM32_VREFBUF=m
CONFIG_REGULATOR_STM32_PWR=y
CONFIG_REGULATOR_STPMIC1=m
CONFIG_REGULATOR_TI_ABB=m
CONFIG_REGULATOR_SY8106A=m
CONFIG_REGULATOR_TPS65910=m
CONFIG_REGULATOR_TWL4030=y
CONFIG_REGULATOR_VEXPRESS=m

##
## file: drivers/remoteproc/Kconfig
##
CONFIG_REMOTEPROC=y
CONFIG_STM32_RPROC=m

##
## file: drivers/rpmsg/Kconfig
##
CONFIG_RPMSG_CHAR=m
CONFIG_RPMSG_CTRL=m
CONFIG_RPMSG_VIRTIO=m

##
## file: drivers/rtc/Kconfig
##
CONFIG_RTC_DRV_AC100=y
CONFIG_RTC_DRV_AS3722=y
CONFIG_RTC_DRV_DS1307=y
CONFIG_RTC_DRV_MAX77686=y
CONFIG_RTC_DRV_RK808=y
CONFIG_RTC_DRV_PCF8523=y
CONFIG_RTC_DRV_PCF8563=y
CONFIG_RTC_DRV_TWL4030=y
CONFIG_RTC_DRV_PALMAS=y
CONFIG_RTC_DRV_S5M=y
CONFIG_RTC_DRV_DA9052=y
CONFIG_RTC_DRV_EFI=y
CONFIG_RTC_DRV_IMXDI=y
CONFIG_RTC_DRV_OMAP=y
CONFIG_RTC_DRV_PL030=y
CONFIG_RTC_DRV_PL031=y
CONFIG_RTC_DRV_VT8500=y
CONFIG_RTC_DRV_SUN6I=y
CONFIG_RTC_DRV_SUNXI=y
CONFIG_RTC_DRV_MV=y
CONFIG_RTC_DRV_ARMADA38X=y
CONFIG_RTC_DRV_MC13XXX=y
CONFIG_RTC_DRV_TEGRA=y
CONFIG_RTC_DRV_MXC=y
CONFIG_RTC_DRV_SNVS=y
CONFIG_RTC_DRV_STM32=y
CONFIG_RTC_DRV_ASPEED=m

##
## file: drivers/scsi/Kconfig
##
CONFIG_SCSI_DMX3191D=m
CONFIG_SCSI_AM53C974=m

##
## file: drivers/soc/aspeed/Kconfig
##
CONFIG_ASPEED_LPC_CTRL=m
CONFIG_ASPEED_LPC_SNOOP=m
CONFIG_ASPEED_P2A_CTRL=m

##
## file: drivers/soc/rockchip/Kconfig
##
CONFIG_ROCKCHIP_IODOMAIN=m

##
## file: drivers/soc/tegra/Kconfig
##
# CONFIG_ARCH_TEGRA_2x_SOC is not set
# CONFIG_ARCH_TEGRA_3x_SOC is not set
# CONFIG_ARCH_TEGRA_114_SOC is not set
CONFIG_ARCH_TEGRA_124_SOC=y

##
## file: drivers/spi/Kconfig
##
CONFIG_SPI=y
CONFIG_SPI_ALTERA=m
CONFIG_SPI_ASPEED_SMC=m
CONFIG_SPI_BCM2835=m
CONFIG_SPI_BCM2835AUX=m
CONFIG_SPI_GPIO=y
CONFIG_SPI_IMX=m
CONFIG_SPI_MESON_SPICC=m
CONFIG_SPI_MESON_SPIFC=m
CONFIG_SPI_OMAP24XX=m
CONFIG_SPI_TI_QSPI=m
CONFIG_SPI_ORION=m
CONFIG_SPI_PL022=m
CONFIG_SPI_PXA2XX=m
CONFIG_SPI_ROCKCHIP=m
CONFIG_SPI_STM32=m
CONFIG_SPI_STM32_QSPI=m
CONFIG_SPI_SUN4I=m
CONFIG_SPI_SUN6I=m
CONFIG_SPI_TEGRA114=m
CONFIG_SPI_TEGRA20_SFLASH=m
CONFIG_SPI_SLAVE=y

##
## file: drivers/staging/media/Kconfig
##
CONFIG_STAGING_MEDIA=y

##
## file: drivers/staging/media/imx/Kconfig
##
CONFIG_VIDEO_IMX_MEDIA=m

##
## file: drivers/staging/media/rkvdec/Kconfig
##
CONFIG_VIDEO_ROCKCHIP_VDEC=m

##
## file: drivers/staging/media/sunxi/Kconfig
##
CONFIG_VIDEO_SUNXI=y

##
## file: drivers/staging/media/sunxi/cedrus/Kconfig
##
CONFIG_VIDEO_SUNXI_CEDRUS=m

##
## file: drivers/staging/vc04_services/bcm2835-audio/Kconfig
##
CONFIG_SND_BCM2835=m

##
## file: drivers/staging/vc04_services/bcm2835-camera/Kconfig
##
CONFIG_VIDEO_BCM2835=m

##
## file: drivers/thermal/Kconfig
##
CONFIG_IMX_THERMAL=m
CONFIG_SUN8I_THERMAL=m
CONFIG_ROCKCHIP_THERMAL=m
CONFIG_DOVE_THERMAL=m
CONFIG_ARMADA_THERMAL=y

##
## file: drivers/thermal/broadcom/Kconfig
##
CONFIG_BCM2835_THERMAL=m

##
## file: drivers/thermal/tegra/Kconfig
##
CONFIG_TEGRA_SOCTHERM=y

##
## file: drivers/thermal/ti-soc-thermal/Kconfig
##
CONFIG_TI_SOC_THERMAL=m
CONFIG_TI_THERMAL=y
CONFIG_OMAP4_THERMAL=y
CONFIG_OMAP5_THERMAL=y
CONFIG_DRA752_THERMAL=y

##
## file: drivers/tty/Kconfig
##
CONFIG_RPMSG_TTY=m

##
## file: drivers/tty/serial/Kconfig
##
CONFIG_SERIAL_AMBA_PL010=y
CONFIG_SERIAL_AMBA_PL010_CONSOLE=y
CONFIG_SERIAL_AMBA_PL011=y
CONFIG_SERIAL_AMBA_PL011_CONSOLE=y
CONFIG_SERIAL_MESON=y
CONFIG_SERIAL_MESON_CONSOLE=y
CONFIG_SERIAL_SAMSUNG=y
CONFIG_SERIAL_SAMSUNG_CONSOLE=y
CONFIG_SERIAL_TEGRA=y
CONFIG_SERIAL_IMX=y
CONFIG_SERIAL_IMX_CONSOLE=y
CONFIG_SERIAL_VT8500=y
CONFIG_SERIAL_VT8500_CONSOLE=y
CONFIG_SERIAL_OMAP=y
CONFIG_SERIAL_OMAP_CONSOLE=y
CONFIG_SERIAL_ARC=y
CONFIG_SERIAL_ARC_CONSOLE=y
CONFIG_SERIAL_ARC_NR_PORTS=1
CONFIG_SERIAL_STM32=y
CONFIG_SERIAL_STM32_CONSOLE=y

##
## file: drivers/tty/serial/8250/Kconfig
##
CONFIG_SERIAL_8250=y
CONFIG_SERIAL_8250_CONSOLE=y
CONFIG_SERIAL_8250_DMA=y
CONFIG_SERIAL_8250_NR_UARTS=5
CONFIG_SERIAL_8250_RUNTIME_UARTS=5
CONFIG_SERIAL_8250_EXTENDED=y
CONFIG_SERIAL_8250_ASPEED_VUART=m
CONFIG_SERIAL_8250_SHARE_IRQ=y
CONFIG_SERIAL_8250_BCM2835AUX=y
CONFIG_SERIAL_8250_DW=y
# CONFIG_SERIAL_8250_EM is not set
CONFIG_SERIAL_OF_PLATFORM=y

##
## file: drivers/usb/Kconfig
##
CONFIG_USB=m

##
## file: drivers/usb/chipidea/Kconfig
##
CONFIG_USB_CHIPIDEA=m
CONFIG_USB_CHIPIDEA_UDC=y
CONFIG_USB_CHIPIDEA_HOST=y

##
## file: drivers/usb/dwc2/Kconfig
##
CONFIG_USB_DWC2=m
## choice: DWC2 Mode Selection
CONFIG_USB_DWC2_DUAL_ROLE=y
## end choice

##
## file: drivers/usb/dwc3/Kconfig
##
CONFIG_USB_DWC3=m
## choice: DWC3 Mode Selection
CONFIG_USB_DWC3_DUAL_ROLE=y
## end choice
CONFIG_USB_DWC3_OMAP=m
CONFIG_USB_DWC3_EXYNOS=m
# CONFIG_USB_DWC3_PCI is not set

##
## file: drivers/usb/gadget/Kconfig
##
CONFIG_USB_GADGET=m

##
## file: drivers/usb/gadget/legacy/Kconfig
##
CONFIG_USB_G_NOKIA=m

##
## file: drivers/usb/gadget/udc/aspeed-vhub/Kconfig
##
CONFIG_USB_ASPEED_VHUB=m

##
## file: drivers/usb/host/Kconfig
##
CONFIG_USB_XHCI_MVEBU=m
CONFIG_USB_XHCI_TEGRA=m
CONFIG_USB_EHCI_HCD=m
CONFIG_USB_EHCI_HCD_OMAP=y
CONFIG_USB_EHCI_TEGRA=m
CONFIG_USB_EHCI_EXYNOS=m
CONFIG_USB_EHCI_MV=m
CONFIG_USB_EHCI_HCD_PLATFORM=m
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_OHCI_HCD_OMAP3=y
CONFIG_USB_OHCI_EXYNOS=m
CONFIG_USB_OHCI_HCD_PLATFORM=m

##
## file: drivers/usb/misc/Kconfig
##
CONFIG_USB_HSIC_USB3503=m

##
## file: drivers/usb/musb/Kconfig
##
CONFIG_USB_MUSB_HDRC=m
## choice: MUSB Mode Selection
# CONFIG_USB_MUSB_HOST is not set
# CONFIG_USB_MUSB_GADGET is not set
CONFIG_USB_MUSB_DUAL_ROLE=y
## end choice
CONFIG_USB_MUSB_SUNXI=m
CONFIG_USB_MUSB_TUSB6010=m
CONFIG_USB_MUSB_OMAP2PLUS=m
CONFIG_USB_MUSB_DSPS=m
# CONFIG_MUSB_PIO_ONLY is not set
CONFIG_USB_INVENTRA_DMA=y
CONFIG_USB_TI_CPPI41_DMA=y
CONFIG_USB_TUSB_OMAP_DMA=y

##
## file: drivers/usb/phy/Kconfig
##
CONFIG_NOP_USB_XCEIV=m
CONFIG_AM335X_PHY_USB=m
CONFIG_TWL6030_USB=m
CONFIG_USB_MXS_PHY=m

##
## file: drivers/video/backlight/Kconfig
##
CONFIG_BACKLIGHT_PANDORA=m
CONFIG_BACKLIGHT_GPIO=m

##
## file: drivers/video/fbdev/Kconfig
##
CONFIG_FB_EFI=y
CONFIG_FB_VT8500=y
CONFIG_FB_WM8505=y
CONFIG_FB_SIMPLE=y

##
## file: drivers/video/fbdev/omap2/omapfb/Kconfig
##
#. Redundant and conflicting with DRM_OMAP
# CONFIG_FB_OMAP2 is not set

##
## file: drivers/virtio/Kconfig
##
CONFIG_VIRTIO_MMIO=m

##
## file: drivers/w1/masters/Kconfig
##
CONFIG_HDQ_MASTER_OMAP=m

##
## file: drivers/watchdog/Kconfig
##
CONFIG_DA9052_WATCHDOG=m
CONFIG_ARM_SP805_WATCHDOG=m
CONFIG_S3C2410_WATCHDOG=m
CONFIG_DW_WATCHDOG=m
CONFIG_OMAP_WATCHDOG=m
CONFIG_ORION_WATCHDOG=m
CONFIG_RN5T618_WATCHDOG=m
CONFIG_SUNXI_WATCHDOG=m
CONFIG_TWL4030_WATCHDOG=m
CONFIG_IMX2_WDT=m
CONFIG_TEGRA_WATCHDOG=m
CONFIG_MESON_WATCHDOG=m
CONFIG_STPMIC1_WATCHDOG=m
CONFIG_BCM2835_WDT=m

##
## file: kernel/dma/Kconfig
##
CONFIG_DMA_CMA=y

##
## file: kernel/power/Kconfig
##
CONFIG_SUSPEND=y
CONFIG_APM_EMULATION=y
CONFIG_ENERGY_MODEL=y

##
## file: mm/Kconfig
##
CONFIG_CMA=y

##
## file: net/dsa/Kconfig
##
CONFIG_NET_DSA=m

##
## file: net/ncsi/Kconfig
##
CONFIG_NET_NCSI=y

##
## file: net/phonet/Kconfig
##
CONFIG_PHONET=m

##
## file: sound/pci/hda/Kconfig
##
CONFIG_SND_HDA_TEGRA=m

##
## file: sound/soc/Kconfig
##
CONFIG_SND_SOC=m

##
## file: sound/soc/bcm/Kconfig
##
CONFIG_SND_BCM2835_SOC_I2S=m

##
## file: sound/soc/codecs/Kconfig
##
CONFIG_SND_SOC_CS42L51_I2C=m
CONFIG_SND_SOC_PCM5102A=m
CONFIG_SND_SOC_SPDIF=y
CONFIG_SND_SOC_WM8804_I2C=m

##
## file: sound/soc/fsl/Kconfig
##
CONFIG_SND_IMX_SOC=m
CONFIG_SND_SOC_EUKREA_TLV320=m
CONFIG_SND_SOC_IMX_ES8328=m
CONFIG_SND_SOC_IMX_SGTL5000=m
CONFIG_SND_SOC_FSL_ASOC_CARD=m

##
## file: sound/soc/generic/Kconfig
##
CONFIG_SND_SIMPLE_CARD=m
CONFIG_SND_AUDIO_GRAPH_CARD=m

##
## file: sound/soc/kirkwood/Kconfig
##
CONFIG_SND_KIRKWOOD_SOC=m

##
## file: sound/soc/meson/Kconfig
##
CONFIG_SND_MESON_GX_SOUND_CARD=m

##
## file: sound/soc/pxa/Kconfig
##
CONFIG_SND_MMP_SOC_SSPA=m

##
## file: sound/soc/rockchip/Kconfig
##
CONFIG_SND_SOC_ROCKCHIP=m
CONFIG_SND_SOC_ROCKCHIP_I2S=m
CONFIG_SND_SOC_ROCKCHIP_SPDIF=m
CONFIG_SND_SOC_ROCKCHIP_MAX98090=m
CONFIG_SND_SOC_ROCKCHIP_RT5645=m
CONFIG_SND_SOC_RK3288_HDMI_ANALOG=m

##
## file: sound/soc/stm/Kconfig
##
CONFIG_SND_SOC_STM32_SAI=m
CONFIG_SND_SOC_STM32_I2S=m
CONFIG_SND_SOC_STM32_SPDIFRX=m
CONFIG_SND_SOC_STM32_DFSDM=m

##
## file: sound/soc/sunxi/Kconfig
##
CONFIG_SND_SUN4I_CODEC=m
CONFIG_SND_SUN8I_CODEC=m
CONFIG_SND_SUN8I_CODEC_ANALOG=m
CONFIG_SND_SUN4I_I2S=m
CONFIG_SND_SUN4I_SPDIF=m

##
## file: sound/soc/tegra/Kconfig
##
CONFIG_SND_SOC_TEGRA=m
CONFIG_SND_SOC_TEGRA_RT5640=m
CONFIG_SND_SOC_TEGRA_WM8753=m
CONFIG_SND_SOC_TEGRA_WM8903=m
CONFIG_SND_SOC_TEGRA_TRIMSLICE=m
CONFIG_SND_SOC_TEGRA_ALC5632=m
CONFIG_SND_SOC_TEGRA_MAX98090=m
CONFIG_SND_SOC_TEGRA_RT5677=m

##
## file: sound/soc/ti/Kconfig
##
CONFIG_SND_SOC_DAVINCI_MCASP=m
CONFIG_SND_SOC_NOKIA_RX51=m
CONFIG_SND_SOC_OMAP3_PANDORA=m
CONFIG_SND_SOC_OMAP3_TWL4030=m
CONFIG_SND_SOC_OMAP_ABE_TWL6040=m
